Axis2/C: policy include

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# policy include
[description]

## Typedefs
typedef struct axis2_policy_include | axis2_policy_include_t
## Enumerations
enum | axis2_policy_types { AXIS2_POLICY = 0, AXIS2_MODULE_POLICY, AXIS2_SERVICE_POLICY, AXIS2_OPERATION_POLICY, AXIS2_MESSAGE_POLICY, AXIS2_PORT_POLICY, AXIS2_PORT_TYPE_POLICY, AXIS2_BINDING_POLICY, AXIS2_BINDING_OPERATION_POLICY, AXIS2_INPUT_POLICY, AXIS2_OUTPUT_POLICY, AXIS2_BINDING_INPUT_POLICY, AXIS2_BINDING_OUTPUT_POLICY, AXIS2_MODULE_OPERATION_POLICY, AXIS2_POLICY_REF, AXIS2_ANON_POLICY }
## Functions
AXIS2_EXTERN axis2_policy_include_t * | axis2_policy_include_create (const axutil_env_t *env)
AXIS2_EXTERN axis2_policy_include_t * | axis2_policy_include_create_with_desc (const axutil_env_t *env, axis2_desc_t *desc)
AXIS2_EXTERN void | axis2_policy_include_free (axis2_policy_include_t *policy_include, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_policy_include_set_registry (axis2_policy_include_t *policy_include, const axutil_env_t *env, neethi_registry_t *registry)
AXIS2_EXTERN neethi_registry_t * | axis2_policy_include_get_registry (axis2_policy_include_t *policy_include, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_policy_include_set_policy (axis2_policy_include_t *policy_include, const axutil_env_t *env, neethi_policy_t *policy)
AXIS2_EXTERN axis2_status_t | axis2_policy_include_update_policy (axis2_policy_include_t *policy_include, const axutil_env_t *env, neethi_policy_t *policy)
AXIS2_EXTERN axis2_status_t | axis2_policy_include_set_effective_policy (axis2_policy_include_t *policy_include, const axutil_env_t *env, neethi_policy_t *effective_policy)
AXIS2_EXTERN axis2_status_t | axis2_policy_include_set_desc (axis2_policy_include_t *policy_include, const axutil_env_t *env, axis2_desc_t *desc)
AXIS2_EXTERN axis2_desc_t * | axis2_policy_include_get_desc (axis2_policy_include_t *policy_include, const axutil_env_t *env)
AXIS2_EXTERN axis2_policy_include_t * | axis2_policy_include_get_parent (axis2_policy_include_t *policy_include, const axutil_env_t *env)
AXIS2_EXTERN neethi_policy_t * | axis2_policy_include_get_policy (axis2_policy_include_t *policy_include, const axutil_env_t *env)
AXIS2_EXTERN neethi_policy_t * | axis2_policy_include_get_effective_policy (axis2_policy_include_t *policy_include, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_policy_include_get_policy_elements (axis2_policy_include_t *policy_include, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_policy_include_get_policy_elements_with_type (axis2_policy_include_t *policy_include, const axutil_env_t *env, int type)
AXIS2_EXTERN axis2_status_t | axis2_policy_include_register_policy (axis2_policy_include_t *policy_include, const axutil_env_t *env, axis2_char_t *key, neethi_policy_t *effective_policy)
AXIS2_EXTERN neethi_policy_t * | axis2_policy_include_get_policy_with_key (axis2_policy_include_t *policy_include, const axutil_env_t *env, axis2_char_t *key)
AXIS2_EXTERN axis2_status_t | axis2_policy_include_add_policy_element (axis2_policy_include_t *policy_include, const axutil_env_t *env, int type, neethi_policy_t *policy)
AXIS2_EXTERN axis2_status_t | axis2_policy_include_add_policy_reference_element (axis2_policy_include_t *policy_include, const axutil_env_t *env, int type, neethi_reference_t *reference)
AXIS2_EXTERN axis2_status_t | axis2_policy_include_remove_policy_element (axis2_policy_include_t *policy_include, const axutil_env_t *env, axis2_char_t *policy_uri)
AXIS2_EXTERN axis2_status_t | axis2_policy_include_remove_all_policy_element (axis2_policy_include_t *policy_include, const axutil_env_t *env)

## Typedef Documentation

typedef struct axis2_policy_include axis2_policy_include_t

Type name for struct axis2_policy_include

## Function Documentation

AXIS2_EXTERN axis2_policy_include_t* axis2_policy_include_create | ( | const axutil_env_t * | env | ) |

Creates policy include struct.

Parameters:

  | env | pointer to environment struct

Returns:
  pointer to newly created policy include

AXIS2_EXTERN void axis2_policy_include_free | ( | axis2_policy_include_t * | policy_include,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees policy include.

Parameters:

  | policy_include | pointer to policy include
  | env | pointer to environment struct

Returns:
  void